## Class DistributoreTerritori

    java.lang.Object
      DistributoreTerritori

    public class DistributoreTerritori

extends java.lang.Object

Un oggetto di questo tipo viene creato all'inizio del gioco. Ha il compito di distribuire, in modo casuale, un numero di territori uguale per tutti i partecipanti al gioco. Se avanzano uno o pił territori, li assegna ai giocatori partendo dall'alto della lista.

Version:
  1.0.0
Author:
  Alessio Treglia

Constructor Summary
`DistributoreTerritori(Tabellone planisfero)` Inizializza l'oggetto.

Method Summary
`void` `assegnaCasualmente(java.util.List giocatori)` Assegna i singoli territori partendo dall'alto della lista (il giocatore che ha fatto il numero pił alto sarą il primo a giocare e dunque anche il primo a ricevere un territorio).
`void` `impostaConfini(java.util.List giocatori)` Imposta i confini per i territori posseduti dai giocatori della collezione.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DistributoreTerritori

    public DistributoreTerritori(Tabellone planisfero)

  Inizializza l'oggetto.

  Parameters:
    `planisfero` - riferimento al `Tabellone` di gioco

Method Detail

### assegnaCasualmente

    public void assegnaCasualmente(java.util.List giocatori)

  Assegna i singoli territori partendo dall'alto della lista (il giocatore che ha fatto il numero pił alto sarą il primo a giocare e dunque anche il primo a ricevere un territorio).

  Parameters:
    `giocatori` - elenco di partecipanti al gioco

### impostaConfini

    public void impostaConfini(java.util.List giocatori)

  Imposta i confini per i territori posseduti dai giocatori della collezione.

  Parameters:
    `giocatori` - `List` di oggetti `Giocatore`